.TH XCOLRSEL l "May 1994" NCAR "X11 Local Command"
.SH NAME
xcolrsel \- X Window System color selector
.SH SYNOPSIS
.B xcolrsel [-f path/rgb.txt]

.SH DESCRIPTION
.IX  "xcolrsel command"  ""  "\fLpwd\fP \(em X Window System color selector"
.LP
.LP
.B xcolrsel
is an X Window System application that allows the user to
display all of the standard X11 colors as backgrounds and foregrounds.
Once a color combination has been picked, its background and foreground
color names may be transferred into the mouse buffer for use by other
X Window System applications.
The xcolrsel window consists of
a row of function buttons on the top,
a background color selection button,
a foreground color selection button,
and a display area with text that shows the background and foreground colors.

.SH FUNCTIONS
There are 4 basic function button types for xcolrsel: quit, movement,
background/foreground, and mouse selects.
A function is executed by moving the mouse pointer over
the button and pressing the left mouse button.
.LP

.B [Quit]
The red Quit button causes xcolrsel to exit to the operating system,
no questions asked.
.LP

.B [bg/fg]
The orange bg/fg button causes the movement buttons to affect either the
background (bg) or foreground (fg) color in the display area.
.LP

.B [<<]
The green << button causes the current background or foreground color to be
set to the first entry from the rgb.txt file.
.LP

.B [<8]
The green <8 button causes the current background or foreground color to be
set to the color that is 8 positions before the current color from the rgb.txt
file.
.LP

.B [<]
The green < button causes the current background or foreground color to be
set to the color that is one positions before the current color from the
rgb.txt file.
.LP

.B [>]
The green > button causes the current background or foreground color to be
set to the color that is one positions after the current color from the
rgb.txt file.
.LP

.B [>8]
The green >8 button causes the current background or foreground color to be
set to the color that is 8 positions after the current color from the rgb.txt
file.
.LP

.B [>>]
The green >> button causes the current background or foreground color to be
set to the last entry from the rgb.txt file.
.LP

.B [Background Select]
The Background Select button causes the currently selected background color to
be stuffed into the mouse buffer.
Note that the mouse buffer is cleared after xcolrsel exits.
.LP

.B [Foreground Select]
The Foreground Select button causes the currently selected foreground color to
be stuffed into the mouse buffer.
.LP

.SH EXAMPLE
To create an xterm with custom colors run colorsel and select
a pair of nice background and foreground colors.
Press the left mouse button on the xcolrsel background Select button (upper)
to store the color into the mouse selection buffer.  On a command line or
inside of an x startup script, enter the command "xterm -bg " followed by a
press of the middle mouse button.  Type " -fg " on the command line and then
press the left mouse button on the xcolrsel foreground Select button (lower).
Move the mouse to the command line and press the middle button.
The command will look something like:
"xterm -bg bisque4 -fg yellow".  Press return on the command line and
an xterm with the desired colors should show up.

.SH FILES
rgb.txt 

.SH BUGS
Xcolrsel depends on the rgb.txt file to be in some reasonable order.
Duplicate colors are ignored as long as they are located sequentially
in rgb.txt.

.SH AUTHOR
G. Forrest Cook, NCAR/ATD/SSSF/RDP

